using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
   [IgnoreT4]public class T_FM_CLASS_DETAIL : MesEntityBase
    {
        [Description("开始时间")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public DateTime STARTTIME { get; set; }
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        [Description("结束时间")]
        public DateTime ENDTIME { get; set; }
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        [Description("顺序")]
        public int NUM { get; set; }

        [Description("班次主表ID")]
        public Guid CLASS_ID { get; set; }

       //public virtual T_FM_CLASS Nav_Class { get; set; }


    }
}
